#include "stm8s.h"
#include "stm8s_gpio.h"

int main(void) {
	
	/* GPIOD reset */
	GPIO_DeInit(GPIOD);

	/* Configure PD0 (LED1) as output push-pull low (led switched on) */
	GPIO_Init(GPIOD, GPIO_PIN_0, GPIO_MODE_OUT_PP_LOW_FAST);

	for(;;) {
		/* The old delay loop (optimisations must be switched off!) */
		unsigned int i;
		for (i = 0; i < 10000; ++i);
		/* Invert the pin. */
		GPIO_WriteReverse(GPIOD, GPIO_PIN_0);
	}
	return 0;
}